# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::Dae::Source Struct Reference

COLLADA data source. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::Source:

List of all members.

## Public Member Functions

| Source ()
void | init (domFloat_arrayRef data_src, domUint count, domUint stride, domUint offset, size_t fields_mask)
| Initializes an accessor. An accessor can read only up to 32 floats.
void | init (domInt_arrayRef data_src, domUint count, domUint stride, domUint offset, size_t fields_mask)
| Initializes an accessor. An accessor can read only up to 32 floats.
void | init (domBool_arrayRef data_src, domUint count, domUint stride, domUint offset, size_t fields_mask)
| Initializes an accessor. An accessor can read only up to 32 floats.
void | readData (size_t n, float *output)
| Reads an element of data at the n-th position and writes it into 'output'. The number of elements that will be written can be queried by calling dataSize().
size_t | count () const
| The number of elements in the source.
size_t | dataSize () const
| The number of elements written by readData().

## Protected Attributes

size_t | mFieldsMask
size_t | mDataSize
domFloat_arrayRef | mFloatSource
domInt_arrayRef | mIntSource
domBool_arrayRef | mBoolSource
size_t | mStride
size_t | mOffset
size_t | mCount

## Detailed Description

COLLADA data source.

Definition at line 123 of file DaeHelpers.hpp.

## Constructor & Destructor Documentation

vl::Dae::Source::Source | ( | ) | `[inline]`

Definition at line 125 of file DaeHelpers.hpp.

References mBoolSource, mCount, mDataSize, mFieldsMask, mFloatSource, mIntSource, mOffset, mStride, and NULL.

## Member Function Documentation

void vl::Dae::Source::init | ( | domFloat_arrayRef | data_src,
|  | domUint | count,
|  | domUint | stride,
|  | domUint | offset,
|  | size_t | fields_mask
| ) |  | `[inline]`

Initializes an accessor. An accessor can read only up to 32 floats.

Definition at line 138 of file DaeHelpers.hpp.

References mBoolSource, mCount, mDataSize, mFieldsMask, mFloatSource, mIntSource, mOffset, mStride, and NULL.

void vl::Dae::Source::init | ( | domInt_arrayRef | data_src,
|  | domUint | count,
|  | domUint | stride,
|  | domUint | offset,
|  | size_t | fields_mask
| ) |  | `[inline]`

Initializes an accessor. An accessor can read only up to 32 floats.

Definition at line 156 of file DaeHelpers.hpp.

References mBoolSource, mCount, mDataSize, mFieldsMask, mFloatSource, mIntSource, mOffset, mStride, and NULL.

void vl::Dae::Source::init | ( | domBool_arrayRef | data_src,
|  | domUint | count,
|  | domUint | stride,
|  | domUint | offset,
|  | size_t | fields_mask
| ) |  | `[inline]`

Initializes an accessor. An accessor can read only up to 32 floats.

Definition at line 174 of file DaeHelpers.hpp.

References mBoolSource, mCount, mDataSize, mFieldsMask, mFloatSource, mIntSource, mOffset, mStride, and NULL.

void vl::Dae::Source::readData | ( | size_t | n,
|  | float * | output
| ) |  | `[inline]`

Reads an element of data at the n-th position and writes it into 'output'. The number of elements that will be written can be queried by calling dataSize().

Definition at line 192 of file DaeHelpers.hpp.

References mBoolSource, mCount, mDataSize, mFieldsMask, mFloatSource, mIntSource, mOffset, mStride, and VL_CHECK.

size_t vl::Dae::Source::count | ( | ) | const`[inline]`

The number of elements in the source.

Definition at line 224 of file DaeHelpers.hpp.

References mCount.

size_t vl::Dae::Source::dataSize | ( | ) | const`[inline]`

The number of elements written by readData().

Definition at line 227 of file DaeHelpers.hpp.

References mDataSize.

## Member Data Documentation

size_t vl::Dae::Source::mFieldsMask`[protected]`

Definition at line 230 of file DaeHelpers.hpp.

Referenced by init(), readData(), and Source().

size_t vl::Dae::Source::mDataSize`[protected]`

Definition at line 231 of file DaeHelpers.hpp.

Referenced by dataSize(), init(), readData(), and Source().

domFloat_arrayRef vl::Dae::Source::mFloatSource`[protected]`

Definition at line 232 of file DaeHelpers.hpp.

Referenced by init(), readData(), and Source().

domInt_arrayRef vl::Dae::Source::mIntSource`[protected]`

Definition at line 233 of file DaeHelpers.hpp.

Referenced by init(), readData(), and Source().

domBool_arrayRef vl::Dae::Source::mBoolSource`[protected]`

Definition at line 234 of file DaeHelpers.hpp.

Referenced by init(), readData(), and Source().

size_t vl::Dae::Source::mStride`[protected]`

Definition at line 235 of file DaeHelpers.hpp.

Referenced by init(), readData(), and Source().

size_t vl::Dae::Source::mOffset`[protected]`

Definition at line 236 of file DaeHelpers.hpp.

Referenced by init(), readData(), and Source().

size_t vl::Dae::Source::mCount`[protected]`

Definition at line 237 of file DaeHelpers.hpp.

Referenced by count(), init(), readData(), and Source().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.